local DST = GLOBAL.TheSim and GLOBAL.TheSim:GetGameID()=="DST"
local ROG = DST or GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS)
local RECIPETABS = GLOBAL.RECIPETABS
local TECH = GLOBAL.TECH

local MakeRecipe = DST and AddRecipe or function(name,ingr,tab,tech,placer,spacing,nounlock,num,_,atlas,image)
local rec = GLOBAL.Recipe(name,ingr,tab,tech,placer,spacing,nounlock,num,_)
rec.atlas = atlas
rec.image = image
end

if GetModConfigData("houndsbiteswitch") then
MakeRecipe("houndsbite", 
{ Ingredient("boards", GetModConfigData("houndsbite_recipe_boards")), Ingredient("houndstooth", GetModConfigData("houndsbite_recipe_tooth")), Ingredient("rope", GetModConfigData("houndsbite_recipe_rope")), },
RECIPETABS.WAR, 
TECH.SCIENCE_ONE, 
nil, 
nil, 
nil, 
nil, 
nil, 
"images/inventoryimages/houndsbite.xml", 
"houndsbite.tex")
end

if GetModConfigData("goldswordswitch") then
MakeRecipe("goldsword", 
{ Ingredient("goldnugget", GetModConfigData("gold_recipe_nugget")), Ingredient("flint", GetModConfigData("gold_recipe_flint")), Ingredient("redgem", GetModConfigData("gold_recipe_gems")), },
RECIPETABS.WAR, 
TECH.SCIENCE_TWO, 
nil, 
nil, 
nil, 
nil, 
nil, 
"images/inventoryimages/goldsword.xml", 
"goldsword.tex")
end

if GetModConfigData("marbleswitch") then
MakeRecipe("marblblade", 
{ Ingredient("marble", GetModConfigData("marbleblade_recipe_marble")), Ingredient("goldnugget", GetModConfigData("marbleblade_recipe_goldnugget")), Ingredient("purplegem", GetModConfigData("marbleblade_recipe_purplegem")), },
RECIPETABS.WAR, 
TECH.ANCIENT_FOUR, 
nil, 
nil, 
nil, 
nil, 
nil, 
"images/inventoryimages/marblblade.xml", 
"marblblade.tex")
end

if GetModConfigData("StrongSwordswitch") then
MakeRecipe("strongsword", 
{ Ingredient("nightsword", 1), Ingredient("batbat", 1), Ingredient("nightmarefuel", GetModConfigData("strongsword_recipe_fuel")), },
RECIPETABS.MAGIC, 
TECH.MAGIC_THREE, 
nil, 
nil, 
nil, 
nil, 
nil, 
"images/inventoryimages/strongsword.xml", 
"strongsword.tex")
end

if GetModConfigData("icebladeswitch") then
MakeRecipe("iceblade", 
{ Ingredient("ice", GetModConfigData("iceblade_recipe_ice")), Ingredient("transistor", GetModConfigData("iceblade_recipe_doodads")), Ingredient("bluegem", GetModConfigData("iceblade_recipe_bluegems")), },
RECIPETABS.MAGIC, 
TECH.MAGIC_THREE, 
nil, 
nil, 
nil, 
nil, 
nil, 
"images/inventoryimages/iceblade.xml", 
"iceblade.tex")
end

if GetModConfigData("goldarmorswitch") then
MakeRecipe("goldarmor", 
{ Ingredient("goldnugget", GetModConfigData("goldarmor_recipe_nugget")), Ingredient("rope", GetModConfigData("goldarmor_recipe_rope")), },
RECIPETABS.WAR, 
TECH.SCIENCE_TWO, 
nil, 
nil, 
nil, 
nil, 
nil, 
"images/inventoryimages/goldarmor.xml", 
"goldarmor.tex")
end

if GetModConfigData("goldhelmswitch") then
MakeRecipe("goldhelm", 
{ Ingredient("goldnugget", GetModConfigData("goldhelm_recipe_nugget")), Ingredient("rope", GetModConfigData("goldhelm_recipe_rope")), },
RECIPETABS.WAR, 
TECH.SCIENCE_TWO, 
nil, 
nil, 
nil, 
nil, 
nil, 
"images/inventoryimages/goldhelm.xml", 
"goldhelm.tex")
end