local assets=
{
	Asset("ANIM", "anim/goldarmor.zip"),
 Asset("IMAGE", "images/inventoryimages/goldarmor.tex"),
 Asset("ATLAS", "images/inventoryimages/goldarmor.xml"),
}

local function OnBlocked(owner) 
    owner.SoundEmitter:PlaySound("dontstarve/wilson/hit_armour")
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_body", "goldarmor", "swap_body")
    inst:ListenForEvent("blocked", OnBlocked, owner)
    owner.SoundEmitter:PlaySound("dontstarve/wilson/equip_item_gold")  
end

local function onunequip(inst, owner) 
    owner.AnimState:ClearOverrideSymbol("swap_body")
    inst:RemoveEventCallback("blocked", OnBlocked, owner)
end

local function fn()
	local inst = CreateEntity()
    
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("armor_marble")
    inst.AnimState:SetBuild("goldarmor")
    inst.AnimState:PlayAnimation("anim")
    
    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.foleysound = "dontstarve/movement/foley/marblearmour"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/goldarmor.xml"
    
    inst:AddComponent("armor")
    inst.components.armor:InitCondition(TUNING.GOLDARMORDURABILITY, TUNING.GOLDARMORABSORB)
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.BODY

    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
if IsDLCEnabled(CAPY_DLC) then 
    inst.components.equippable.walkspeedmult = -0.1
    else
        inst.components.equippable.walkspeedmult = 0.9
	end
    

    
    return inst
end

return Prefab( "common/inventory/goldarmor", fn, assets) 