
local Assets =
{
	Asset("ANIM", "anim/goldhelm.zip"),
 Asset("IMAGE", "images/inventoryimages/goldhelm.tex"),
 Asset("ATLAS", "images/inventoryimages/goldhelm.xml"),  
}


    local function onequip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_hat", "goldhelm", "swap_hat")
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
        owner.SoundEmitter:PlaySound("dontstarve/wilson/equip_item_gold")  
        
        if owner:HasTag("player") then
			owner.AnimState:Hide("HEAD")
			owner.AnimState:Show("HEAD_HAIR")
		end
        
		if inst.components.fueled then
			inst.components.fueled:StartConsuming()        
		end
    end

    local function onunequip(inst, owner)
        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")

		if owner:HasTag("player") then
	        owner.AnimState:Show("HEAD")
			owner.AnimState:Hide("HEAD_HAIR")
		end

		if inst.components.fueled then
			inst.components.fueled:StopConsuming()        
		end
    end



local function fn(Sim)
        local inst = CreateEntity()

        inst.entity:AddTransform()
        inst.entity:AddAnimState()
        MakeInventoryPhysics(inst)

        inst.AnimState:SetBank("footballhat")
        inst.AnimState:SetBuild("goldhelm")
        inst.AnimState:PlayAnimation("anim")

        inst:AddTag("hat")

        inst:AddComponent("inspectable")

        inst:AddComponent("inventoryitem")
        inst:AddComponent("tradable")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/goldhelm.xml"
        inst:AddComponent("armor")
        inst.components.armor:InitCondition(TUNING.GOLDHELMDURABILITY, TUNING.GOLDHELMABSORB)

        inst:AddComponent("equippable")
        inst.components.equippable.equipslot = EQUIPSLOTS.HEAD

        inst.components.equippable:SetOnEquip( onequip )

        inst.components.equippable:SetOnUnequip( onunequip )

        return inst
end

return Prefab( "common/inventory/goldhelm", fn, Assets)

