local assets=
{
	Asset("ANIM", "anim/goldsword.zip"),
	Asset("ANIM", "anim/swap_goldsword.zip"),
 Asset("IMAGE", "images/inventoryimages/goldsword.tex"),
 Asset("ATLAS", "images/inventoryimages/goldsword.xml"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_goldsword", "swap_nightmaresword")
owner.SoundEmitter:PlaySound("dontstarve/wilson/equip_item_gold")   
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmaresword")
    inst.AnimState:SetBuild("goldsword")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetMultColour(1, 1, 1, 1)
    
    inst:AddTag("sharp")
    
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.GOLDSWORDDMG)
    
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.GOLDSWORDUSES)
    inst.components.finiteuses:SetUses(TUNING.GOLDSWORDUSES)
    
    inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/goldsword.xml"
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
  
  if IsDLCEnabled(CAPY_DLC) then 
    inst.components.equippable.walkspeedmult = -0.1
    else
    inst.components.equippable.walkspeedmult = 0.9
	end
  
    return inst
end

return Prefab( "common/inventory/goldsword", fn, assets)