local assets=
{
	Asset("ANIM", "anim/marblblade.zip"),
	Asset("ANIM", "anim/swap_marblblade.zip"),
    Asset("IMAGE", "images/inventoryimages/marblblade.tex"),
     Asset("ATLAS", "images/inventoryimages/marblblade.xml"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_marblblade", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
    owner.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE*6)
 end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
    owner.components.hunger:SetRate(TUNING.WILSON_HUNGER_RATE*1)
end

local function onattack(inst, attacker, target)

    if attacker and attacker.components.sanity then
        attacker.components.hunger:DoDelta(-3)
    end
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmaresword")
    inst.AnimState:SetBuild("marblblade")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetMultColour(1, 1, 1, 1)
    
    inst:AddTag("sharp")
    
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.MARBLEBLADEDMG)
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.MARBLEBLADEUSES)
    inst.components.finiteuses:SetUses(TUNING.MARBLEBLADEUSES)
        inst.components.weapon:SetOnAttack(onattack)
    
    inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
        inst.components.inventoryitem.atlasname = "images/inventoryimages/marblblade.xml"
    inst:AddComponent("equippable")
if IsDLCEnabled(CAPY_DLC) then 
    inst.components.equippable.walkspeedmult = -0.1
    else
        inst.components.equippable.walkspeedmult = 0.9
	end
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

return Prefab( "common/inventory/marblblade", fn, assets)