local assets=
{
	Asset("ANIM", "anim/strongsword.zip"),
	Asset("ANIM", "anim/swap_strongsword.zip"),
 Asset("ATLAS", "images/inventoryimages/strongsword.xml"),
}

local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_strongsword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry")
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner)
    owner.AnimState:Hide("ARM_carry")
    owner.AnimState:Show("ARM_normal")
end

local function attackeffect(inst, owner, target)
    if owner.components.health and owner.components.health:GetPercent() < 1 and not target:HasTag("wall") then
    owner.components.health:DoDelta(TUNING.BATBAT_DRAIN,false,"strongsword")
    owner.components.sanity:DoDelta(-4)
    end
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst.AnimState:SetBank("nightmaresword")
    inst.AnimState:SetBuild("strongsword")
    inst.AnimState:PlayAnimation("idle")
    inst.AnimState:SetMultColour(1, 1, 1, 1)
    
    inst:AddTag("shadow")
    inst:AddTag("sharp")
    
	inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(TUNING.STRONGSWORDDMG)
	inst.components.weapon:SetOnAttack(attackeffect)
    
    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(TUNING.STRONGSWORDUSES)
    inst.components.finiteuses:SetUses(TUNING.STRONGSWORDUSES)
    
    inst.components.finiteuses:SetOnFinished( onfinished )

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
	   inst.components.inventoryitem.atlasname = "images/inventoryimages/strongsword.xml"
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    inst.components.equippable.dapperness = TUNING.CRAZINESS_MED
    
    return inst
end

return Prefab( "common/inventory/strongsword", fn, assets)